var win1 = Titanium.UI.createWindow({  
    title:'Metro MX - Ubicame',
    backgroundColor: '#000'
});

var tTitulo= Ti.UI.createLabel({
	text : 'Ejercicio de Atención espacial', top:'20%',left:'5%',width:'auto',height:'auto',
    font : {fontFamily:'Marker Felt', fontWeight:'bold'},
});
var bInstrucciones= Ti.UI.createButton({
	title: 'Instrucciones',
	top:'30%',left:'5%',width:'38%',height:'13%'
});
var bIniciar= Ti.UI.createButton({
	title: 'Iniciar',
	top:'30%',left:'45%',width:'24%',height:'13%'
});
var bParar= Ti.UI.createButton({
	title: 'Parar',
	top:'30%',left:'71%',width:'24%',height:'13%'
});
var tamaño= Titanium.Platform.displayCaps.platformHeight * 0.4;
var cLetra= Ti.UI.createTextArea({
	value : 'p',
    top:'45%',
    left:'25%',
    height :'50%',
    width :'50%',
    
    font : {fontSize:tamaño,fontFamily:'Marker Felt', fontWeight:'bold'},
    color : '#000',
    textAlign : 'center',
    appearance : Titanium.UI.KEYBOARD_APPEARANCE_ALERT, 
    //keyboardType : Titanium.UI.KEYBOARD_NUMBERS_PUNCTUATION,
   // returnKeyType : Titanium.UI.RETURNKEY_EMERGENCY_CALL,
    editable: false,
    borderWidth : 2
    //borderColor : '#bbb',
   // borderRadius : 5	
});

win1.add(bInstrucciones);
win1.add(bIniciar);
win1.add(bParar);
win1.add(cLetra);
win1.add(tTitulo);
win1.open();


bInstrucciones.addEventListener('click',function(e)
{
	alert('EJERCICIO DE ATENCIÓN ESPACIAL\n\nCada vez que aparezca:\np  pon la mano derecha en la cabeza\nq pon la mano izquierda en la cabeza\nb levanta la rodilla derecha\nd levanta la rodilla izquierda');
});

bParar.addEventListener('click',function(e)
{
	paro=1;
});

var numP,sup,inf,rnd;
var letra='';
var paro=0;

bIniciar.addEventListener('click',function(e)
{
paro=0;
sup=4;
inf=1;
numP = sup - inf; 
despliega();

});



function despliega()
{
	rnd = Math.random() * numP;
	rnd = Math.round(rnd);
	var aleat= parseInt(inf) + rnd;

if(aleat==1)letra='p';
if(aleat==2)letra='q';
if(aleat==3)letra='b';
if(aleat==4)letra='d';
cLetra.value= letra;

if(paro==0)setTimeout(function() {despliega();},1000);

}


